%define oname   daemons

Name:       ruby-%{oname}
Version:    1.4.1
Release:    %mkrel 1
Summary:    A toolkit to create and control daemons in different ways
License:    BSD and Ruby License
Group:      Development/Ruby
URL:        http://daemons.rubyforge.org
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Daemons provides an easy way to wrap existing ruby scripts (for example
a self-written server) to be run as a daemon and to be controlled by simple
start/stop/restart commands. You can also call blocks as daemons and
control them from the parent or just daemonize the current process. Besides
this basic functionality, daemons offers many advanced features like
exception backtracing and logging (in case your ruby script crashes) and
monitoring and automatic restarting of your processes if they crash.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_instdir}/.yardoc

%files
%{gem_instdir}/
%doc README.md
%{gem_spec}

%files          doc
%doc examples
%doc %{gem_docdir}
%doc Releases


%changelog
* Fri Mar 18 2022 pterjan <pterjan> 1.4.1-1.mga9
+ Revision: 1798505
- Update to 1.4.1

* Fri Feb 14 2020 umeabot <umeabot> 1.3.1-2.mga8
+ Revision: 1522364
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 1.3.1-1.mga7
+ Revision: 1360714
- Update to 1.3.1

* Fri Sep 21 2018 umeabot <umeabot> 1.2.6-2.mga7
+ Revision: 1290814
- Mageia 7 Mass Rebuild

* Sun Apr 01 2018 pterjan <pterjan> 1.2.6-1.mga7
+ Revision: 1214119
- Update to 1.2.6

* Sat Aug 19 2017 pterjan <pterjan> 1.2.4-1.mga7
+ Revision: 1141784
- Update to 1.2.4

* Fri Jan 01 2016 pterjan <pterjan> 1.2.3-1.mga6
+ Revision: 917748
- Update to 1.2.3

* Wed Oct 15 2014 umeabot <umeabot> 1.1.9-11.mga5
+ Revision: 747505
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.9-10.mga5
+ Revision: 688781
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.1.9-9.mga4
+ Revision: 561829
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.1.9-8.mga4
+ Revision: 561139
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.1.9-7.mga4
+ Revision: 535354
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.1.9-6.mga4
+ Revision: 481947
- Rebuild for Ruby 2

* Wed Sep 11 2013 pterjan <pterjan> 1.1.9-5.mga4
+ Revision: 477410
- Use gem_setup
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 1.1.9-4.mga3
+ Revision: 395825
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.9-3.mga3
+ Revision: 380768
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.1.9-2.mga3
+ Revision: 312810
- rebuild for new ruby

* Sun Aug 19 2012 shlomif <shlomif> 1.1.9-1.mga3
+ Revision: 282285
- New version 1.1.9 (thanks to aghero)

* Tue Jun 12 2012 solbu <solbu> 1.1.8-1.mga3
+ Revision: 260072
- Remove yardoc
- New version
- Spec cleanup

* Sun Apr 17 2011 shikamaru <shikamaru> 1.1.2-1.mga1
+ Revision: 87152
- new version 1.1.2

* Sat Feb 12 2011 shikamaru <shikamaru> 1.1.0-2.mga1
+ Revision: 50921
- imported package ruby-daemons

